# class Tk::BWidget::PasswdDlg

### Constants

TkCommandNames
WidgetClassName

### Public Instance Methods

create() click to toggle source

    # File lib/tkextlib/bwidget/passwddlg.rb, line 40
    def create
      login, passwd = simplelist(tk_call(self.class::TkCommandNames[0],
                                         @path, *hash_kv(@keys)))
      [login, passwd]
    end

### Private Instance Methods

__boolval_optkeys() click to toggle source
Calls superclass method TkConfigMethod#__boolval_optkeys

    # File lib/tkextlib/bwidget/passwddlg.rb, line 29
    def __boolval_optkeys
      super() << 'passwdeditable' << 'homogeneous'
    end

__strval_optkeys() click to toggle source
Calls superclass method Tk::BWidget::MessageDlg#__strval_optkeys

    # File lib/tkextlib/bwidget/passwddlg.rb, line 23
    def __strval_optkeys
      super() << 'loginhelptext' << 'loginlabel' << 'logintext' <<
        'passwdlabel' << 'passwdtext'
    end

__tkvariable_optkeys() click to toggle source
Calls superclass method TkConfigMethod#__tkvariable_optkeys

    # File lib/tkextlib/bwidget/passwddlg.rb, line 34
    def __tkvariable_optkeys
      super() << 'loginhelpvar' << 'logintextvariable' <<
        'passwdhelpvar' << 'passwdtextvariable'
    end